kind: Deployment
apiVersion: apps/v1
metadata:
  annotations:
    deployment.kubernetes.io/revision: '1'
    webhook-labeler.shipyard.io/status: labeled
  selfLink: /apis/apps/v1/namespaces/iad-devops-dev/deployments/iad-devopsui-1-0-0-276
  resourceVersion: '157631964'
  name: iad-devopsui-1-0-0-276
  uid: c0431b02-fa94-4224-88ca-f2c540394540
  creationTimestamp: '2020-12-04T15:23:26Z'
  generation: 1
  managedFields:
    - manager: Go-http-client
      operation: Update
      apiVersion: apps/v1
      time: '2020-12-04T15:23:26Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:app_cmdb_name': {}
            'f:app_context_path': {}
            'f:meta.helm.sh/release-name': {}
            'f:meta.helm.sh/release-namespace': {}
            'f:sidecar.istio.io/inject': {}
            'f:traffic.sidecar.istio.io/excludeOutboundIPRanges': {}
          'f:labels':
            'f:helm.sh/chart': {}
            'f:app_cmdb_id': {}
            'f:assignment_group': {}
            'f:version': {}
            'f:app_version': {}
            'f:app.kubernetes.io/managed-by': {}
            'f:app': {}
            .: {}
            'f:app_tier': {}
            'f:app_family': {}
            'f:app_pod_name': {}
            'f:support_escalation_group': {}
        'f:spec':
          'f:progressDeadlineSeconds': {}
          'f:replicas': {}
          'f:revisionHistoryLimit': {}
          'f:selector':
            'f:matchLabels':
              .: {}
              'f:app_cmdb_id': {}
              'f:app_pod_name': {}
              'f:app_version': {}
          'f:strategy':
            'f:rollingUpdate':
              .: {}
              'f:maxSurge': {}
              'f:maxUnavailable': {}
            'f:type': {}
          'f:template':
            'f:metadata':
              'f:annotations':
                .: {}
                'f:app_cmdb_name': {}
                'f:app_context_path': {}
                'f:sidecar.istio.io/inject': {}
                'f:traffic.sidecar.istio.io/excludeOutboundIPRanges': {}
              'f:labels':
                'f:helm.sh/chart': {}
                'f:app_cmdb_id': {}
                'f:assignment_group': {}
                'f:version': {}
                'f:app_version': {}
                'f:app.kubernetes.io/managed-by': {}
                'f:app': {}
                .: {}
                'f:app_tier': {}
                'f:app_family': {}
                'f:app_pod_name': {}
                'f:support_escalation_group': {}
            'f:spec':
              'f:automountServiceAccountToken': {}
              'f:containers':
                'k:{"name":"iad-devopsui-1-0-0-276"}':
                  'f:image': {}
                  'f:volumeMounts':
                    .: {}
                    'k:{"mountPath":"/opt/spring_boot/config/"}':
                      .: {}
                      'f:mountPath': {}
                      'f:name': {}
                      'f:readOnly': {}
                  'f:terminationMessagePolicy': {}
                  .: {}
                  'f:resources':
                    .: {}
                    'f:limits':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                    'f:requests':
                      .: {}
                      'f:cpu': {}
                      'f:memory': {}
                  'f:livenessProbe':
                    .: {}
                    'f:failureThreshold': {}
                    'f:httpGet':
                      .: {}
                      'f:path': {}
                      'f:port': {}
                      'f:scheme': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:env':
                    .: {}
                    'k:{"name":"APPLICATION_NAME"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"APP_PROPERTIES"}':
                      .: {}
                      'f:name': {}
                      'f:valueFrom':
                        .: {}
                        'f:configMapKeyRef':
                          .: {}
                          'f:key': {}
                          'f:name': {}
                    'k:{"name":"SPRING_APPLICATION_NAME"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                    'k:{"name":"SPRING_PROFILES_ACTIVE"}':
                      .: {}
                      'f:name': {}
                      'f:value': {}
                  'f:readinessProbe':
                    .: {}
                    'f:failureThreshold': {}
                    'f:httpGet':
                      .: {}
                      'f:path': {}
                      'f:port': {}
                      'f:scheme': {}
                    'f:initialDelaySeconds': {}
                    'f:periodSeconds': {}
                    'f:successThreshold': {}
                    'f:timeoutSeconds': {}
                  'f:terminationMessagePath': {}
                  'f:imagePullPolicy': {}
                  'f:ports':
                    .: {}
                    'k:{"containerPort":8080,"protocol":"TCP"}':
                      .: {}
                      'f:containerPort': {}
                      'f:protocol': {}
                  'f:name': {}
              'f:dnsPolicy': {}
              'f:restartPolicy': {}
              'f:schedulerName': {}
              'f:securityContext': {}
              'f:terminationGracePeriodSeconds': {}
              'f:volumes':
                .: {}
                'k:{"name":"iad-devopsui-configmap"}':
                  .: {}
                  'f:configMap':
                    .: {}
                    'f:defaultMode': {}
                    'f:name': {}
                  'f:name': {}
    - manager: kube-controller-manager
      operation: Update
      apiVersion: apps/v1
      time: '2020-12-04T15:24:03Z'
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:deployment.kubernetes.io/revision': {}
        'f:status':
          'f:availableReplicas': {}
          'f:conditions':
            .: {}
            'k:{"type":"Available"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
            'k:{"type":"Progressing"}':
              .: {}
              'f:lastTransitionTime': {}
              'f:lastUpdateTime': {}
              'f:message': {}
              'f:reason': {}
              'f:status': {}
              'f:type': {}
          'f:observedGeneration': {}
          'f:readyReplicas': {}
          'f:replicas': {}
          'f:updatedReplicas': {}
  namespace: iad-devops-dev
  labels:
    app_tier: tier3
    app: iad-devopsui
    app_family: iad-devopsui
    app_pod_name: iad-devopsui
    support_escalation_group: DL_IAD_Development_Operations
    assignment_group: DL_IAD_Development_Operations
    app.kubernetes.io/managed-by: Helm
    helm.sh/chart: iad-devopsui-1.0.0-276
    app_cmdb_id: A1234
    version: 1.0.0-276
    app_version: 1.0.0-276
spec:
  replicas: 1
  selector:
    matchLabels:
      app_cmdb_id: A1234
      app_pod_name: iad-devopsui
      app_version: 1.0.0-276
  template:
    metadata:
      creationTimestamp: null
      labels:
        app_tier: tier3
        app: iad-devopsui
        app_family: iad-devopsui
        app_pod_name: iad-devopsui
        support_escalation_group: DL_IAD_Development_Operations
        assignment_group: DL_IAD_Development_Operations
        app.kubernetes.io/managed-by: Helm
        helm.sh/chart: iad-devopsui-1.0.0-276
        app_cmdb_id: A1234
        version: 1.0.0-276
        app_version: 1.0.0-276
      annotations:
        app_cmdb_name: test
        app_context_path: iad-devopsui
        sidecar.istio.io/inject: 'true'
        traffic.sidecar.istio.io/excludeOutboundIPRanges: 10.131.42.198/0
    spec:
      volumes:
        - name: iad-devopsui-configmap
          configMap:
            name: iad-devopsui-globals-1.0.0-276
            defaultMode: 420
      containers:
        - resources:
            limits:
              cpu: 500m
              memory: 1Gi
            requests:
              cpu: 500m
              memory: 1Gi
          readinessProbe:
            httpGet:
              path: /iad-devopsui/ping
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 15
            timeoutSeconds: 30
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 1
          terminationMessagePath: /dev/termination-log
          name: iad-devopsui-1-0-0-276
          livenessProbe:
            httpGet:
              path: /iad-devopsui/ping
              port: 8080
              scheme: HTTP
            initialDelaySeconds: 15
            timeoutSeconds: 30
            periodSeconds: 30
            successThreshold: 1
            failureThreshold: 1
          env:
            - name: APPLICATION_NAME
              value: iad-devopsui
            - name: SPRING_APPLICATION_NAME
              value: iad-devopsui
            - name: SPRING_PROFILES_ACTIVE
              value: dev
            - name: APP_PROPERTIES
              valueFrom:
                configMapKeyRef:
                  name: iad-devopsui-globals-1.0.0-276
                  key: application.properties
          ports:
            - containerPort: 8080
              protocol: TCP
          imagePullPolicy: IfNotPresent
          volumeMounts:
            - name: iad-devopsui-configmap
              readOnly: true
              mountPath: /opt/spring_boot/config/
          terminationMessagePolicy: File
          image: >-
            openshift-docker.artifactory.ops.tiaa-cref.org/org.tiaa.iad-devopsui/iad-devopsui:1.0.0-276
      restartPolicy: Always
      terminationGracePeriodSeconds: 30
      dnsPolicy: ClusterFirst
      automountServiceAccountToken: false
      securityContext: {}
      schedulerName: default-scheduler
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxUnavailable: 25%
      maxSurge: 25%
  revisionHistoryLimit: 10
  progressDeadlineSeconds: 600
status:
  observedGeneration: 1
  replicas: 1
  updatedReplicas: 1
  readyReplicas: 1
  availableReplicas: 1
  conditions:
    - type: Available
      status: 'True'
      lastUpdateTime: '2020-12-04T15:24:03Z'
      lastTransitionTime: '2020-12-04T15:24:03Z'
      reason: MinimumReplicasAvailable
      message: Deployment has minimum availability.
    - type: Progressing
      status: 'True'
      lastUpdateTime: '2020-12-04T15:24:03Z'
      lastTransitionTime: '2020-12-04T15:23:26Z'
      reason: NewReplicaSetAvailable
      message: >-
        ReplicaSet "iad-devopsui-1-0-0-276-5cffc6d855" has successfully
        progressed.
